comparison configure @ 36880:c4b770eab978

Refine compilation against shared FFmpeg.
author reimar
date Wed, 05 Mar 2014 18:33:20 +0000
parents 64e3020090dd
children 36f6023a9127
comparison
equal deleted inserted replaced
36879:8c1bbe0536ea 36880:c4b770eab978
1521 echo "git pull failed, (re)move ffmpeg/mp_auto_pull to disable pulling" 1521 echo "git pull failed, (re)move ffmpeg/mp_auto_pull to disable pulling"
1522 exit 1 1522 exit 1
1523 fi 1523 fi
1524 fi 1524 fi
1525 1525
1526 if ! test -e ffmpeg ; then 1526 if test "$ffmpeg_a" != "no" && ! test -e ffmpeg ; then
1527 echo "No FFmpeg checkout, press enter to download one with git or CTRL+C to abort" 1527 echo "No FFmpeg checkout, press enter to download one with git or CTRL+C to abort"
1528 read tmp 1528 read tmp
1529 if ! git clone -b $FFBRANCH --depth 1 git://source.ffmpeg.org/ffmpeg.git ffmpeg ; then 1529 if ! git clone -b $FFBRANCH --depth 1 git://source.ffmpeg.org/ffmpeg.git ffmpeg ; then
1530 rm -rf ffmpeg 1530 rm -rf ffmpeg
1531 echo "Failed to get a FFmpeg checkout" 1531 echo "Failed to get a FFmpeg checkout"
7096 ffmpeg=yes 7096 ffmpeg=yes
7097 fi 7097 fi
7098 fi 7098 fi
7099 7099
7100 if test "$ffmpeg" = yes; then 7100 if test "$ffmpeg" = yes; then
7101 header_check libavutil/x86/asm.h || die "libavutil/x86/asm.h header is required for shared FFmpeg"
7101 def_ffmpeg='#define CONFIG_FFMPEG 1' 7102 def_ffmpeg='#define CONFIG_FFMPEG 1'
7102 if test "$ffmpeg_a" = yes ; then 7103 if test "$ffmpeg_a" = yes ; then
7103 codecmodules="ffmpeg(internal) $codecmodules" 7104 codecmodules="ffmpeg(internal) $codecmodules"
7104 def_ffmpeg_a='#define CONFIG_FFMPEG_A 1' 7105 def_ffmpeg_a='#define CONFIG_FFMPEG_A 1'
7105 elif test "$ffmpeg_so" = yes ; then 7106 elif test "$ffmpeg_so" = yes ; then